
TemplaVoila - Bug # 46487

Status: Resolved Priority: Must have
Author: Heiko Nöthen Category: Configuration
Created: 2013-03-21 Assigned To:
Updated: 2015-03-10 Due date:
TYPO3 Version: 4.5
PHP Version:
Has patch: No
Reporter:
Is Regression: No
Affected Version: 1.8
Subject: Sitemap/Section Index: TemplaVoila does not respect disabled "Show in Section Menus"
Description

In an TYPO3 installation without TemplaVoila the content elements, which are displayed by the Sitemap/Section index, are filtered by
[andWhere] = sectionIndex!=0 (tt_content.menu.20.3). The userFunc tx_templavoila_pi1->tvSectionIndex does not have this
functionality. It displays all content elements on the page by $GLOBALS['TSFE']->page['tx_templavoila_flex'][<contentElementField>].

Associated revisions
Revision 33f3e535 - 2015-03-10 13:10 - Tolleiv Nietsch

[BUGFIX] Make sectionIndex aware of the "hide" flag

Resolves: #43543
Resolves: #43542
Resolves: #46487
Releases: 1.9

Change-Id: Ica7dd9350687cd04e31c56d35b976d97a3923977
Reviewed-on: http://review.typo3.org/37699
Reviewed-by: Jose Antonio Guerra <jaguerra@icti.es>
Tested-by: Jose Antonio Guerra <jaguerra@icti.es>
Reviewed-by: Alexander Schnitzler <typo3@alexanderschnitzler.de>
Tested-by: Alexander Schnitzler <typo3@alexanderschnitzler.de>

History
#1 - 2013-07-18 18:58 - Jan Roth
- File T3X_dhbw_ux_templavoila-0_0_0-z-201307181853.t3x added

We had the same problem with section menus.
This little extension maybe fix it for you.
Testet with Section Menus
Templavoila 1.8.0
TYPO3 4.5.27

#2 - 2014-06-06 08:30 - Alexander Schnitzler
- Is Regression set to No
- Affected Version set to 1.8

#3 - 2014-06-06 08:54 - Christian Nölle

See: https://github.com/wouter90/templavoila/pull/19

#4 - 2014-06-06 11:40 - Christian Nölle
- Category set to Configuration

#5 - 2015-02-13 11:40 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master of project TYPO3CMS/Extensions/templavoila has been pushed to the review server.
It is available at http://review.typo3.org/15601

#6 - 2015-03-10 12:52 - Gerrit Code Review

Patch set 1 for branch templavoila_1-9 of project TYPO3CMS/Extensions/templavoila has been pushed to the review server.
It is available at http://review.typo3.org/37699

#7 - 2015-03-10 13:11 - Alexander Schnitzler
- Target version set to 1.9.5

#8 - 2015-03-10 13:34 - Tolleiv Nietsch
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:33f3e53565a3eb8157111759bc0b25f26afe59e5.

Files
T3X_dhbw_ux_templavoila-0_0_0-z-201307181853.t3x 2 kB 2013-07-18 Jan Roth
